Last modified: 2011-01-25 01:20:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21960 - Update GeSHi to the latest stable version
Update GeSHi to the latest stable version
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
SyntaxHighlight (GeSHi) (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: X!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-28 16:59 UTC by Paulo Moura
Modified: 2011-01-25 01:20 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Paulo Moura 2009-12-28 16:59:18 UTC
Please update GeSHi to the latest stable version (1.0.8.6), which includes support for new languages and bug fixes to already supported languages.
Comment 1 Chad H. 2009-12-28 17:11:52 UTC
Not a WMF shell bug (yet). Need to update the svn external in trunk first (after testing), then we can poke a shell to update WMF.
Comment 2 Tal Galili 2010-02-12 05:02:49 UTC
I also support the updating of GeSHi to the newer version. Thanks!
Comment 3 X! 2010-08-06 20:23:36 UTC
Already fixed in r69378
Comment 4 Tal Galili 2010-08-06 21:00:00 UTC
Not working.

I tried making a change using the new GeSHi, and I got the following error in wikipedia.org:


GeSHi Error: GeSHi could not find the language rsplus (using path /usr/local/apache/common-local/wmf-deployment/lib/GeSHi-1.0.8.4/geshi/) (code 2)
You need to specify a language like this: <source lang="html4strict">...</source>
Comment 5 X! 2010-08-06 21:05:17 UTC
That's because it's not pushed to the main site yet.
Comment 6 Tal Galili 2010-08-06 21:06:11 UTC
Thanks.

Where can I see when that is expected to happen ?
Comment 7 X! 2010-08-06 22:24:13 UTC
Unfortunately, it's really unknown as to when it will happen. I'm going to try to poke the devs to update it on IRC.
Comment 8 Tal Galili 2010-08-06 23:17:26 UTC
Many thanks Soxred!
I am looking forward for this next update.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links